Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.binaries.model
[Java] Interface LibraryCompileSpec

    org.gradle.plugins.binaries.model.LibraryCompileSpec
      org.gradle.api.Named
          org.gradle.plugins.binaries.model.CompileSpec

All Superinterfaces:
  Named, CompileSpec

    public interface LibraryCompileSpec
    extends CompileSpec

A high level interface to the compiler, specifying what is to be compiled and how.

Method Summary
`String` | `getInstallName()`
`void` | `setInstallName(String path)`

Methods inherited from interface CompileSpec
compile, getOutputFile

Methods inherited from interface Named
getName

Method Detail

### getInstallName

    public String getInstallName()

  Returns the install name for the library. This is the location where this library will be installed on the target system, and where clients of this library should look for the library.

  On Linux systems, this corresponds to the soname for the library.

### setInstallName

    public void setInstallName(String path)

Gradle API 1.1-rc-1